From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/ndg-httpsclient/
Date: Tue, 9 May 2017 15:35:37 +0000 (UTC) [thread overview]
Message-ID: <1494344130.55ea770918201e770acee2218e3ae361262d3385.mgorny@gentoo> (raw)
commit: 55ea770918201e770acee2218e3ae361262d3385
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 9 15:26:29 2017 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 9 15:35:30 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55ea7709
dev-python/ndg-httpsclient: Enable tests
.../ndg-httpsclient-0.4.2-r1.ebuild | 25 ++++++++++++++++++++--
1 file changed, 23 insertions(+), 2 deletions(-)
diff --git a/dev-python/ndg-httpsclient/ndg-httpsclient-0.4.2-r1.ebuild b/dev-python/ndg-httpsclient/ndg-httpsclient-0.4.2-r1.ebuild
index e7fb90d1d39..d4f272ba1c6 100644
--- a/dev-python/ndg-httpsclient/ndg-httpsclient-0.4.2-r1.ebuild
+++ b/dev-python/ndg-httpsclient/ndg-httpsclient-0.4.2-r1.ebuild
@@ -16,16 +16,37 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P/-/_}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
-IUSE=""
+IUSE="test"
RDEPEND="dev-python/pyopenssl[$(python_gen_usedep 'python*' pypy)]"
+# we need to block the previous versions since incorrect namespace
+# install breaks tests
DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]"
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ !!<dev-python/ndg-httpsclient-0.4.2-r1
+ dev-libs/openssl:0
+ )"
S="${WORKDIR}/${P/-/_}"
# doc build by Makefile in folder documentation is broken
+src_test() {
+ # we need to start a fake https server for tests to connect to
+ ( cd ndg/httpsclient/test && sh ./scripts/openssl_https_server.sh ) &
+ local server_pid=${!}
+
+ distutils-r1_src_test
+
+ kill "${server_pid}"
+ wait
+}
+
+python_test() {
+ "${PYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
python_install() {
distutils-r1_python_install
next reply other threads:[~2017-05-09 15:35 UTC|newest]
Thread overview: 45+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-05-09 15:35 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-07-04 6:57 [gentoo-commits] repo/gentoo:master commit in: dev-python/ndg-httpsclient/ Michał Górny
2021-11-28 14:42 Michał Górny
2021-10-02 10:23 James Le Cuirot
2021-06-05 19:00 Michał Górny
2021-02-22 7:43 Sam James
2021-02-22 6:02 Joshua Kinard
2020-12-27 19:43 Michał Górny
2020-12-27 12:51 Sergei Trofimovich
2020-12-07 3:38 Sam James
2020-11-28 12:13 Sam James
2020-11-28 11:26 Sergei Trofimovich
2020-07-29 23:53 Sam James
2020-07-29 23:49 Sam James
2020-07-25 11:54 Sam James
2020-07-24 21:14 Sam James
2020-07-24 18:22 Sam James
2020-07-24 18:22 Sam James
2020-07-24 18:16 Sam James
2020-07-24 18:16 Sam James
2020-07-24 18:04 Sam James
2020-05-31 8:12 Michał Górny
2020-04-04 10:52 Sergei Trofimovich
2020-03-29 21:21 Sergei Trofimovich
2020-03-28 23:40 Sergei Trofimovich
2020-03-16 20:09 Matt Turner
2020-02-26 12:18 Michał Górny
2020-02-21 13:59 Michał Górny
2019-06-16 11:15 David Seifert
2018-01-05 9:36 Michał Górny
2017-05-09 15:35 Michał Górny
2016-10-24 12:43 Lars Wendler
2016-06-21 2:47 Mike Frysinger
2015-11-23 10:05 Justin Lecher
2015-11-23 6:44 Jeroen Roovers
2015-11-22 8:40 Markus Meier
2015-11-19 10:25 Agostino Sarubbo
2015-11-16 15:01 Agostino Sarubbo
2015-11-04 16:09 Agostino Sarubbo
2015-11-04 15:50 Agostino Sarubbo
2015-11-02 13:12 Agostino Sarubbo
2015-11-02 13:09 Agostino Sarubbo
2015-10-18 16:48 Mikle Kolyada
2015-10-14 13:40 Justin Lecher
2015-10-11 7:05 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1494344130.55ea770918201e770acee2218e3ae361262d3385.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox